Skip to main content
PATCH
/
orgs
/
{org_id}
/
assistants
/
{assistant_id}
/
actions
/
{action_id}
Update Assistant Action
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/assistants/{assistant_id}/actions/{action_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "name": "<string>",
  "instructions": "<string>",
  "connection_id": "<string>"
}
'
{
  "id": "<string>",
  "enabled": true,
  "name": "<string>",
  "instructions": "<string>",
  "action_id": "<string>",
  "assistant_id": "<string>",
  "connection_id": "<string>",
  "config": {
    "input": {},
    "definitions": [
      {
        "path": "<string>",
        "definition": {}
      }
    ]
  },
  "position": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

assistant_id
string
required

The ID of the assistant

action_id
string
required

The ID of the assistant action

Body

The assistant action information to update.

Schema for updating an existing assistant action

enabled
boolean
name
string

The name of the action, e.g. "Send email"

Maximum string length: 64
instructions
string

Extra instructions for the action

Maximum string length: 2048
connection_id
string | null

The ID of the connection to use for the action if required, e.g. "con_XXX"

Example:

"con_XXX"

config
object

The input values with their dynamic field definitions

Response

200 - application/json

The updated assistant action.

Schema for an assistant action

id
string
required

The ID of the action

enabled
boolean
required

Whether the action is enabled

name
string | null
required

The name of the action

instructions
string | null
required

The instructions for the action

action_id
string
required

The ID of the action, e.g. "TOOLS:HTTP_REQUEST"

Examples:

"TOOLS:HTTP_REQUEST"

"TOOLS:WEB_SEARCH"

"TOOLS:WEB_SCRAPING"

assistant_id
string
required

The ID of the assistant

Example:

"ast_XXX"

connection_id
string | null
required

The ID of the connection to use for the action if required

Example:

"con_XXX"

config
object
required

The input values with their dynamic field definitions

position
integer
required

The position of the action within its group. Bucketed in multiples of 100, e.g. 100, 101, 102 for the first group, 200, 201, 202 for the second

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required